com.rs.xbrl.instructions

## Enum QNameOrExpression.Type

- java.lang.Object
- - java.lang.Enum<QNameOrExpression.Type>
  - - com.rs.xbrl.instructions.QNameOrExpression.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<QNameOrExpression.Type>
  Enclosing class:
    QNameOrExpression

      public static enum QNameOrExpression.Type
      extends java.lang.Enum<QNameOrExpression.Type>

  The Enum Type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `QName` The Q name.
    `Variable` The Variable.
    `XPath` The X path.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static QNameOrExpression.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static QNameOrExpression.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### QName

          public static final QNameOrExpression.Type QName

      The Q name.

    - #### XPath

          public static final QNameOrExpression.Type XPath

      The X path.

    - #### Variable

          public static final QNameOrExpression.Type Variable

      The Variable.

  - ### Method Detail

    - #### values

          public static QNameOrExpression.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (QNameOrExpression.Type c : QNameOrExpression.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static QNameOrExpression.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null